<p class="heading">Firestore</p>

<div class="form-container">
    <form [formGroup]="studentForm">
        <mat-form-field class="name" appearance="fill">
            <mat-label class="name">Name</mat-label>
            <input matInput formControlName="name">
        </mat-form-field>
            <br>
        <mat-form-field class="name" appearance="fill">
            <mat-label>Gender</mat-label>
            <mat-select formControlName="gender">
                <mat-option *ngFor="let item of gender" [value]="item">{{ item }}</mat-option>                
            </mat-select>
        </mat-form-field>
        <br>
        <mat-form-field class="name" appearance="fill">
            <mat-label>age</mat-label>
            <mat-select formControlName="age">
                <mat-option *ngFor="let item of age" [value]="item">{{ item }}</mat-option>                
            </mat-select>
        </mat-form-field>
        <br>
        <button mat-raised-button color="primary" type="submit" [disabled]="!studentForm.valid" (click)="onSubmitStudent()">Submit Student Profile</button> 
    </form><br>

    <button mat-raised-button color="primary" class="fireButton" (click)="readStudentProfile()">Read data in Document</button><br>
    <button mat-raised-button color="primary" class="fireButton" (click)="updateStudentProfile()">Update data in Document</button><br>
</div>

<div class="form-container">
    <form [formGroup]="addressForm">
        <mat-form-field class="name" appearance="fill">
            <mat-label class="name">Doc Id</mat-label>
            <input matInput formControlName="docId">
        </mat-form-field>
        <br>
        <mat-form-field class="name" appearance="fill">
            <mat-label>city</mat-label>
            <mat-select formControlName="city">
                <mat-option *ngFor="let item of city" [value]="item">{{ item }}</mat-option>                
            </mat-select>
        </mat-form-field>
        <br>
        <mat-form-field class="name" appearance="fill">
            <mat-label>State</mat-label>
            <mat-select formControlName="state">
                <mat-option *ngFor="let item of state" [value]="item">{{ item }}</mat-option>                
            </mat-select>
        </mat-form-field>
        <br>
        <mat-form-field class="name" appearance="fill">
            <mat-label>Country</mat-label>
            <mat-select formControlName="country">
                <mat-option *ngFor="let item of country" [value]="item">{{ item }}</mat-option>                
            </mat-select>
        </mat-form-field>
        <br>
        <button mat-raised-button color="primary" type="submit" [disabled]="!addressForm.valid" (click)="onSubmitAddress()">Submit Address</button> 
    </form><br>
    <button mat-raised-button color="primary" class="fireButton" (click)="setStudentAddress()">Set data in Document</button><br>
    <button mat-raised-button color="primary" class="fireButton" (click)="updateStudentAddress()">update data in Document</button><br>
    <button mat-raised-button color="primary" class="fireButton" (click)="deleteCityOfStudentAddress()">Delete field in Document</button><br>
    <button mat-raised-button color="primary" class="fireButton" (click)="deleteDocumentStudentAddress()">Delete Document</button><br>
</div>

